﻿package
{
	import flash.display.Sprite;
	
	
	public class Face
	{		
		static function buildFace(sketch:Sprite, x:int, y:int, eyes:int, mouth:int, color:int)
		{
			var colors:Array = ["0xF3281A", "0xF1D613", "0x66B82E", "0x3591C0"];
			
			with(sketch.graphics)
			{
				//Efface le contenu du brouillon
				clear();
				
				lineStyle(5, colors[color], 1);
				// Dessine les yeux
				beginFill(colors[color], 1);
				
				switch(eyes)
				{
					case 0:
					drawCircle(x - 8, y - 5, 1.2);
					drawCircle(x + 8, y - 5, 1.2);
					break;
					case 1:
					drawCircle(x - 8, y - 5, 1.2);
					moveTo(x + 5, y - 5);
					lineTo(x + 10, y - 5);
					break;
					case 2:
					moveTo(x - 5, y - 5);
					lineTo(x - 10, y - 5);
					moveTo(x + 5, y - 5);
					lineTo(x + 10, y - 5);
					break;
				}
				
				endFill();
				
				// Dessine la bouche
				switch(mouth)
				{
					case 0:
					moveTo(x - 7, y + 8);
					lineTo(x + 7, y + 8);
					break;
					case 1:
					moveTo(x - 10, y + 5);
					curveTo(x, y + 15, x + 10, y + 5);
					break;
					case 2:
					moveTo(x - 10, y + 10);
					curveTo(x, y - 1, x + 10, y + 10);
					break;
				}
			}
		}
	}
}